Subject: FVWM: WindowList configuration

From: Joseph Manning <[email-masked]>
Date: Wed, 24 Nov 1999 12:54:59 +0000 (GMT)

Hi,

   [ I'm running fvwm-2.3.10 under RedHat Linux 6.0 and XFree86-3.3.3.1. ]

   I recently started to use WindowList as a simple icon manager.
   It suits me very well, because it's invisible until popped up,
   and so it does not clutter up my screen when I'm not using it.

   However, it's still not exactly what I want, due to the following:

   1) I want WindowList to show precisely those windows which are iconified,
      no more, no less.  If I use:

         WindowList OnlyIcons

      then it fails to list any iconified windows which have the
      Sticky or StaysOnTop styles.  On the other hand, if I use:

         WindowList OnlyIcons, Sticky, OnTop

      then it lists all of the Sticky and OnTop windows, even when
      they are not iconified.

      Is there some way I can tell WindowList to list *precisely* the
      iconified windows?

   2) I use highlighting to show which entry in the WindowList is
      currently selected.  But WindowList also puts a cursor on the
      selected item.  The cursor is unnecessary, it partially obscures
      the name of the icon, and it's just clutter.  Is there any way
      to remove the cursor from a WindowList?

      I guess I could define my own xpm file with an invisible cursor,
      but that seems like an awkward solution.  Might I instead propose
      a new option, of the form:

         WindowList NoCursor

   3) (... now I'm getting really picky! ...)
      I also dislike the numbering of items in the WindowList (0, 1, 2, ...);
      I would prefer not to see these numberss --- again, in order to
      reduce clutter.  Might I propose something like:

         WindowList NoNumber

      to show the items without any numbers?

   Thanks for any help that anyone can give with this.

   Best Wishes from Ireland!

Cheers, Joseph

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Joseph Manning / Computer Science / University College Cork / [email-masked]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].